Bug 952593 - false positive on desktop file, wrong docs link
Summary: false positive on desktop file, wrong docs link
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-16 09:14 UTC by Karel Volný
Modified: 2013-09-16 17:43 UTC (History)
4 users (show)

Fixed In Version: fedora-review-0.5.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-30 13:32:15 UTC


Attachments (Terms of Use)

Description Karel Volný 2013-04-16 09:14:45 UTC
Description of problem:
Trying to review xpra (bug #928609), I'm getting false positive about update-desktop-database from fedora-review.

Version-Release number of selected component (if applicable):
fedora-review-0.4.0-4.fc18.noarch

How reproducible:
always

Steps to Reproduce:
1. fedora-review -b 928609

  
Actual results:
Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in xpra
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache


Expected results:
(no issues)

if "update-desktop-database" is referred, the proper guidelines link is http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database

Additional info:
the srpm in question reads:

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
/usr/bin/update-desktop-database &> /dev/null || :

if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


which seems 100% okay according to the guidelines ...?

Comment 1 Alec Leamas 2013-04-19 06:42:14 UTC
Indeed, here are multiple bugs. The bogus error message is triggered by the xpra spec using desktop-file-validate in %check instead of the more common use in %install. The %check use is perfectly OK, but not handled by f-r.

Comment 2 Fedora Update System 2013-08-30 13:12:40 UTC
fedora-review-0.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-1.el6

Comment 3 Fedora Update System 2013-08-30 13:13:07 UTC
fedora-review-0.5.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.5.0-1.fc19

Comment 4 Alec Leamas 2013-08-30 13:32:15 UTC
Fixed in new 0.5.0 release. Thanks for reporting!

Comment 5 Fedora Update System 2013-09-01 23:04:48 UTC
fedora-review-0.5.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-09-16 17:43:18 UTC
fedora-review-0.5.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.